/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:
 known Problems: none
 Version:        20.05.2024
 Description:    ADC Routinen
------------------------------------------------------------------------------*/
#include "adc.h"

volatile unsigned char adc_ch[MAX_ADC_CH];

void adc_init (void)
{
	//PORT ADC MUX INIT
	DDRB |= (1<<PB0|1<<PB1|1<<PB2);
	PORTB = 0x00;
		
	ADMUX =(1<<REFS0);
	ADC_START;
}

//############################################################################
//ADC Werte einlesen
ISR (ADC_vect)
{
	static uint8_t channel = 0;
	static uint8_t mux_ch = 0;
	
	ADCSRA = 0;
	
	adc_ch[(channel*8)+mux_ch] =(unsigned char)(ADC>>2);
	mux_ch++;
	
	if (mux_ch > 7){
		mux_ch = 0;
		channel++;
		if(channel > 7)
			channel = 0;	
	}
	
	PORTB = mux_ch;		
	ADMUX =(1<<REFS0) + channel;	
	ADC_START;
}
