/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        20.05.2024
 Description:    DMX transmit Routinen
------------------------------------------------------------------------------*/

#ifndef _DMX_TRANSMIT_H
	#define _DMX_TRANSMIT_H
	
	#include <avr/io.h>
	#include <avr/interrupt.h>
	#include <util/delay.h>

	enum {BREAK, STARTB, DATA};
		
	#define MAX_CHANNELS 	100
	#define IBG   			10		// interbyte gap [us]
	
	volatile uint8_t dmxUniverse[MAX_CHANNELS];
	
	void dmx_transmit_start (void);
	void dmx_transmit_clear (void);

#endif //_DMX_TRANSMIT_H
