/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:
 known Problems: none
 Version:        20.05.2024
 Description:    48 Kanal Analog2DMX
------------------------------------------------------------------------------*/

#include <avr/io.h>
#include <util/delay.h>
#include <avr/eeprom.h>
#include "timer.h"
#include "adc.h"
#include "dmx_transmit.h"

int main(void)
{		
	sei();
	adc_init();
	timer_init();
		
	dmx_transmit_start();
	
    /* Replace with your application code */
    while (1)
	{
		//ADC1 IN
		dmxUniverse[0] = adc_ch[0];
		dmxUniverse[1] = adc_ch[1];
		dmxUniverse[2] = adc_ch[2];
		dmxUniverse[3] = adc_ch[3];
		dmxUniverse[4] = adc_ch[4];
		dmxUniverse[5] = adc_ch[5];
		dmxUniverse[6] = adc_ch[6];
		dmxUniverse[7] = adc_ch[7];
		
		//ADC2 IN
		dmxUniverse[8] = adc_ch[8];
		dmxUniverse[9] = adc_ch[9];
		dmxUniverse[10] = adc_ch[10];
		dmxUniverse[11] = adc_ch[11];
		dmxUniverse[12] = adc_ch[12];
		dmxUniverse[13] = adc_ch[13];
		dmxUniverse[14] = adc_ch[14];
		dmxUniverse[15] = adc_ch[15];

		_delay_ms(10);		
	/* End WHILE */	
    }
}

