/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:
 known Problems: none
 Version:        14.04.2024
 Description:    Timer Routinen
------------------------------------------------------------------------------*/
#include "timer.h"

volatile uint32_t time = 0;

//----------------------------------------------------------------------------
//Diese Routine startet und inizialisiert den Timer
void timer_init (void)
{
	TCCR1B |= (1<<WGM12) | (1<<CS10|1<<CS12);
	TCNT1 = 0;
	OCR1A = ((F_CPU / 1024) - 1)/200;
	TIMSK1 |= (1 << OCIE1A);
};

//----------------------------------------------------------------------------
//Timer Interrupt
ISR (TIMER1_COMPA_vect)
{
	time++;
}

